/************************************************************************
 * AUTHOR: NiuJiuRu
 * FILENAME: swprogress.h
 * CONTENT: 进程
 * NOTE:
 * HISTORY:
 * 1, [2010-09-16] created by NiuJiuRu
 ***********************************************************************/
#ifndef __SWPROGRESS_H__
#define __SWPROGRESS_H__

#ifdef __cplusplus
extern "C"
{
#endif

/* 得到当前进程的PID */
int xGetCurrentProcessId();

/* 得到当前进程所对应的命令文件名 */
char *sw_progress_getCMD(char *cmd);

/* 根据进程ID杀死进程 */
void sw_progress_killByPID(int pid);

/* 根据命令文件名杀死进程 */
void sw_progress_killByCMD(const char *cmd, int ignorePID);

#ifdef __cplusplus
}
#endif

#endif /* __SWPROGRESS_H__ */
